HOC SiteDocumentation

PUT /api/v1/{locale}/{websiteId}/layout

Update layout breakpoints, content width, and headerNavCompactUpToBreakpointId. Extra breakpoint keys are kept. Omitting the compact field leaves the stored value. dryRun returns before/after without saving.

Method: PUT · Auth: bearer · Group: theme

/api/v1/{locale}/{websiteId}/layout

Update layout breakpoints, content width, and headerNavCompactUpToBreakpointId. Extra breakpoint keys are kept. Omitting the compact field leaves the stored value. dryRun returns before/after without saving.

Request

  • Content-Type: application/json
{ "maxContentWidthPx": 1200, "breakpoints": [], "headerNavCompactUpToBreakpointId"?: "string", "dryRun"?: boolean }

MCP tools